#ifndef KYLIN_SYSTEM_USER_MANUAL_H_
#define KYLIN_SYSTEM_USER_MANUAL_H_

#include <QDBusInterface>

#include "currency.hpp"

namespace kdk
{
namespace kabase
{

class UserManualManagement
{
public:
    UserManualManagement();
    ~UserManualManagement();

    /**
     * @brief 调用用户手册
     *
     * @param appName 应用名
     *
     * @retval true 成功
     * @retval false 失败
     */
    bool callUserManual(AppName appName);

private:
    QString adapterAppName(QString appName);
};

} /* namespace kabase */
} /* namespace kdk */

#endif